Create and Order Card Simulation

Sandbox-only simulator endpoint that creates a card and immediately makes it ready for transaction testing.

This operation bypasses the standard card creation workflow and the external card processor. It creates the card record, sets the card status to ACTIVE, marks the physical card as activated, sets fulfillment status to SHIPPED, creates a shipping history entry, sets the activation date to the current date, and triggers card activation events.

Use the returned id as the cardId for subsequent simulation requests:

  • POST /v1/cards/simulations/{cardId}/authorization
  • POST /v1/cards/simulations/{cardId}/settlement
Body Params

Creates and activates a card. The selected card product determines whether savingsAccountId or creditAccountId is required.

int64
required

ID of the configured card product.

int64

Savings account to link to a debit card. This is required for request to create debit card.

int64

Credit account to link to a credit card. This is required for request to create credit card.

int64

Optional user associated with the card.

Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Responses

400

The request failed validation.

401

Authentication credentials were missing or incorrect.

403

The authenticated user does not have permission to simulate cards.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json